(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common/http'), require('@angular/common'), require('rxjs'), require('rxjs/operators')) :
    typeof define === 'function' && define.amd ? define('angular-traversal', ['exports', '@angular/core', '@angular/common/http', '@angular/common', 'rxjs', 'rxjs/operators'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['angular-traversal'] = {}, global.ng.core, global.ng.common.http, global.ng.common, global.rxjs, global.rxjs.operators));
}(this, (function (exports, i0, http, i1, rxjs, operators) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () {
                            return e[k];
                        }
                    });
                }
            });
        }
        n['default'] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);
    var i1__namespace = /*#__PURE__*/_interopNamespace(i1);

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from) {
        for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
            to[j] = from[i];
        return to;
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    var Resolver = /** @class */ (function () {
        function Resolver() {
        }
        return Resolver;
    }());
    Resolver.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function Resolver_Factory() { return new Resolver(); }, token: Resolver, providedIn: "root" });
    Resolver.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];

    var Marker = /** @class */ (function () {
        function Marker() {
        }
        return Marker;
    }());
    Marker.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function Marker_Factory() { return new Marker(); }, token: Marker, providedIn: "root" });
    Marker.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];

    var Normalizer = /** @class */ (function () {
        function Normalizer() {
        }
        Normalizer.prototype.normalize = function (path) {
            return path;
        };
        return Normalizer;
    }());
    Normalizer.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function Normalizer_Factory() { return new Normalizer(); }, token: Normalizer, providedIn: "root" });
    Normalizer.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];

    var NAVIGATION_PREFIX = new i0.InjectionToken('traversal.prefix');
    var Traverser = /** @class */ (function () {
        function Traverser(location, resolver, marker, normalizer, ngResolver, compiler, injector, prefix) {
            var _this = this;
            this.location = location;
            this.resolver = resolver;
            this.marker = marker;
            this.normalizer = normalizer;
            this.ngResolver = ngResolver;
            this.compiler = compiler;
            this.injector = injector;
            this.prefix = prefix;
            this.beforeTraverse = new rxjs.Subject();
            this.traverseTo = new rxjs.Subject();
            this.echo = new rxjs.Subject();
            this.canTraverse = new rxjs.Subject();
            this.tilesContexts = {};
            this.tileUpdates = new rxjs.Subject();
            this.views = {};
            this.lazy = {};
            this.lazyModules = {};
            this.tiles = {};
            this.target = new rxjs.BehaviorSubject(this.getEmptyTarget());
            var answers = [];
            this.echo.subscribe(function (ok) {
                answers.push(ok);
                if (answers.length === _this.beforeTraverse.observers.length) {
                    _this.canTraverse.next(answers.every(function (yes) { return yes; }));
                }
            });
            this.traverseTo.pipe(operators.withLatestFrom(this.canTraverse)).subscribe(function (_a) {
                var _b = __read(_a, 2), traverse = _b[0], ok = _b[1];
                if (ok) {
                    _this._traverse(traverse.path, traverse.navigate);
                }
                else {
                    _this.location.replaceState(_this.target.getValue().path);
                }
                answers = [];
            });
        }
        Traverser.prototype.traverse = function (path, navigate) {
            if (navigate === void 0) { navigate = true; }
            path = this.normalizer.normalize(this.getFullPath(path));
            var obsCount = this.beforeTraverse.observers.length;
            if (obsCount > 0) {
                this.beforeTraverse.next([this.echo, path]);
            }
            else {
                this.canTraverse.next(true);
            }
            this.traverseTo.next({ path: path, navigate: navigate });
        };
        Traverser.prototype._traverse = function (path, navigate) {
            var _a, _b;
            var contextPath = path;
            var queryString = '';
            var view = 'view';
            if (path.indexOf('?') > -1) {
                _a = __read(contextPath.split('?'), 2), contextPath = _a[0], queryString = _a[1];
            }
            else if (path.indexOf(';') > -1) {
                _b = __read(contextPath.split(';'), 2), contextPath = _b[0], queryString = _b[1];
            }
            if (path.indexOf('@@') > -1) {
                view = contextPath.split('@@')[1];
                contextPath = contextPath.split('@@')[0];
                if (contextPath.length > 1 && contextPath.slice(-1) === '/') {
                    contextPath = contextPath.slice(0, -1);
                }
            }
            if (navigate) {
                var navigateTo = path;
                if (!contextPath) {
                    // if no contextPath, preserve the previous one
                    if (navigateTo[0] !== '/') {
                        navigateTo = '/' + navigateTo;
                    }
                    navigateTo = this.target.value.contextPath + navigateTo;
                }
                if (this.location.path() !== this.getPrefix() + navigateTo) {
                    this.location.go(this.getPrefix() + navigateTo);
                }
            }
            var components = this.views[view];
            if (!components && view.includes('/')) {
                var prefix = view.split('/')[0];
                if (!!this.lazyModules[prefix] && this.views[prefix]) {
                    components = this.views[prefix];
                }
            }
            this.emitTarget(path, contextPath, queryString, view, this.target, components);
        };
        Traverser.prototype.traverseHere = function (includeHash) {
            if (includeHash === void 0) { includeHash = true; }
            var here = this.location.path().replace(this.getPrefix(), '');
            this.traverse(!includeHash ? here.split('?')[0] : here);
        };
        Traverser.prototype.addView = function (name, target, component) {
            if (!this.views[name]) {
                this.views[name] = {};
            }
            this.views[name][target] = component;
        };
        Traverser.prototype.addLazyView = function (name, target, loader) {
            if (!this.views[name]) {
                this.views[name] = {};
            }
            var id = name + ';' + target;
            this.views[name][target] = id;
            this.lazy[id] = loader;
            this.lazyModules[name] = true;
        };
        Traverser.prototype.loadLazyView = function (moduleId, viewName, isTile) {
            var _this = this;
            if (isTile === void 0) { isTile = false; }
            return this.lazy[moduleId]().then(function (module) {
                _this.compiler.compileModuleAsync(module).then(function (factory) {
                    factory.create(_this.injector);
                });
                var moduleViews = module.traverserViews || [];
                moduleViews.forEach(function (view) {
                    _this.views[view.name] = !!_this.views[view.name]
                        ? Object.assign(Object.assign({}, _this.views[view.name]), view.components) : view.components;
                });
                var moduleTiles = module.traverserTiles || [];
                moduleTiles.forEach(function (tile) {
                    _this.tiles[tile.name] = !!_this.tiles[tile.name]
                        ? Object.assign(Object.assign({}, _this.tiles[tile.name]), tile.components) : tile.components;
                });
                var target = moduleId.split(';')[1];
                return (isTile ? _this.tiles : _this.views)[viewName][target];
            });
        };
        Traverser.prototype.addTile = function (name, target, component) {
            if (!this.tiles[name]) {
                this.tiles[name] = {};
            }
            this.tiles[name][target] = component;
            this.tilesContexts[name] = new rxjs.BehaviorSubject(this.getEmptyTarget());
        };
        Traverser.prototype.loadTile = function (name, path) {
            var _a;
            path = this.normalizer.normalize(this.getFullPath(path));
            var contextPath = path;
            var queryString = '';
            if (path.includes('?')) {
                _a = __read(contextPath.split('?'), 2), contextPath = _a[0], queryString = _a[1];
            }
            this.emitTarget(path, contextPath, queryString, name, this.tilesContexts[name], this.tiles[name], true);
        };
        Traverser.prototype.emptyTile = function (name) {
            if (!!this.tilesContexts[name]) {
                this._emit(this.tilesContexts[name], this.getEmptyTarget(), name, true);
            }
        };
        Traverser.prototype.addLazyTile = function (name, target, loader) {
            if (!this.tiles[name]) {
                this.tiles[name] = {};
            }
            var id = name + ';' + target;
            this.tiles[name][target] = id;
            this.tilesContexts[name] = new rxjs.BehaviorSubject(this.getEmptyTarget());
            this.lazy[id] = loader;
            this.lazyModules[name] = true;
        };
        Traverser.prototype.emitTarget = function (path, contextPath, queryString, viewOrTile, targetObs, components, isTile, currentContext) {
            var _this = this;
            if (isTile === void 0) { isTile = false; }
            if (!!targetObs && !!components) {
                var resolver = void 0;
                if (!!currentContext) {
                    resolver = rxjs.of(currentContext);
                }
                else if (!contextPath && // if we have no context path
                    Object.keys(targetObs.value.context).length > 0 && // and we have context
                    // and query string did not change
                    !!targetObs.value.query &&
                    queryString === Object.assign(new http.HttpParams(), targetObs.value.query).toString()) {
                    // then we keep the current context
                    resolver = rxjs.of(targetObs.value.context);
                    contextPath = targetObs.value.contextPath;
                }
                else {
                    resolver = this._resolve(contextPath, viewOrTile, queryString);
                }
                if (resolver) {
                    resolver.pipe(operators.take(1)).subscribe(function (context) {
                        var marker = _this.marker.mark(context);
                        var component = '';
                        if (marker instanceof Array) {
                            var matches = marker.filter(function (m) { return components[m]; });
                            if (matches.length > 0) {
                                component = components[matches[0]];
                            }
                        }
                        else {
                            component = components[marker];
                        }
                        if (!component) {
                            component = components['*'];
                        }
                        if (!!component) {
                            var promise = typeof component === 'string'
                                ? _this.loadLazyView(component, viewOrTile, isTile)
                                : Promise.resolve(component);
                            promise.then(function (comp) {
                                var target = !!component
                                    ? {
                                        context: context,
                                        path: path,
                                        prefixedPath: _this.getPrefix() + path,
                                        contextPath: contextPath,
                                        prefixedContextPath: _this.getPrefix() + contextPath,
                                        view: viewOrTile,
                                        component: comp,
                                        query: new http.HttpParams({ fromString: queryString || '' }),
                                    }
                                    : _this.getEmptyTarget();
                                _this._emit(targetObs, target, viewOrTile, isTile);
                            });
                        }
                        else {
                            _this._emit(targetObs, _this.getEmptyTarget(), viewOrTile, isTile);
                        }
                    });
                }
            }
        };
        Traverser.prototype._emit = function (targetObs, target, viewOrTile, isTile) {
            targetObs.next(target);
            if (isTile) {
                this.tileUpdates.next({
                    tile: viewOrTile,
                    target: target,
                });
            }
        };
        Traverser.prototype._resolve = function (path, view, queryString) {
            return this.resolver.resolve(path, view, queryString);
        };
        Traverser.prototype.resolve = function (path, view, queryString) {
            return this._resolve(this.normalizer.normalize(this.getFullPath(path)), view, queryString);
        };
        Traverser.prototype.getFullPath = function (path) {
            if (path === '.') {
                path = this.target.value.contextPath;
            }
            else if (path.startsWith('./')) {
                path =
                    this.target.value.contextPath === '/' ? path.slice(1) : this.target.value.contextPath + path.slice(1);
            }
            else if (path.startsWith('../') || path === '..') {
                var current = this.target.value.contextPath.split('/');
                path = path
                    .split('/')
                    .reduce(function (all, chunk) {
                    if (chunk === '..') {
                        all.pop();
                    }
                    else {
                        all.push(chunk);
                    }
                    return all;
                }, current)
                    .join('/');
            }
            return path;
        };
        Traverser.prototype.getComponent = function (component) {
            return this.ngResolver.resolveComponentFactory(component);
        };
        Traverser.prototype.getEmptyTarget = function () {
            return {
                component: null,
                context: {},
                contextPath: '',
                prefixedContextPath: this.getPrefix(),
                path: '',
                prefixedPath: this.getPrefix(),
                query: new http.HttpParams(),
                view: 'view',
            };
        };
        Traverser.prototype.getQueryParams = function () {
            return this.target.pipe(operators.take(1), operators.map(function (target) {
                var queryParams = Object.assign(new http.HttpParams(), target.query);
                if (!queryParams) {
                    return {};
                }
                else {
                    return queryParams.keys().reduce(function (all, key) {
                        var value = queryParams.getAll(key);
                        if (!value) {
                            return all;
                        }
                        if (value.length > 1) {
                            all[key] = value;
                        }
                        else {
                            all[key] = value[0];
                        }
                        return all;
                    }, {});
                }
            }));
        };
        Traverser.prototype.getPrefix = function () {
            return !!this.prefix ? this.prefix.getValue() : '';
        };
        Traverser.prototype.setPrefix = function (prefix) {
            this.prefix.next(prefix.startsWith('/') ? prefix : "/" + prefix);
        };
        return Traverser;
    }());
    Traverser.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function Traverser_Factory() { return new Traverser(i0__namespace.ɵɵinject(i1__namespace.Location), i0__namespace.ɵɵinject(Resolver), i0__namespace.ɵɵinject(Marker), i0__namespace.ɵɵinject(Normalizer), i0__namespace.ɵɵinject(i0__namespace.ComponentFactoryResolver), i0__namespace.ɵɵinject(i0__namespace.Compiler), i0__namespace.ɵɵinject(i0__namespace.INJECTOR), i0__namespace.ɵɵinject(NAVIGATION_PREFIX, 8)); }, token: Traverser, providedIn: "root" });
    Traverser.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    Traverser.ctorParameters = function () { return [
        { type: i1.Location },
        { type: Resolver },
        { type: Marker },
        { type: Normalizer },
        { type: i0.ComponentFactoryResolver },
        { type: i0.Compiler },
        { type: i0.Injector },
        { type: rxjs.BehaviorSubject, decorators: [{ type: i0.Optional }, { type: i0.Inject, args: [NAVIGATION_PREFIX,] }] }
    ]; };

    var TraverserOutlet = /** @class */ (function () {
        function TraverserOutlet(traverser, location, container, cdr) {
            this.traverser = traverser;
            this.location = location;
            this.container = container;
            this.cdr = cdr;
            this.terminator = new rxjs.Subject();
        }
        TraverserOutlet.prototype.ngOnInit = function () {
            var _this = this;
            this.traverser.target.pipe(operators.takeUntil(this.terminator)).subscribe(function (target) { return _this.render(target); });
            this.traverser.traverse(this.location.path().replace(this.traverser.getPrefix(), ''), false);
            this.location.subscribe(function (loc) {
                var path = (loc.url || '').replace(_this.traverser.getPrefix(), '');
                _this.traverser.traverse(path || '/', false); // when empty string traverse to root
            });
        };
        TraverserOutlet.prototype.ngOnDestroy = function () {
            if (this.viewInstance) {
                this.viewInstance.destroy();
            }
            this.terminator.next();
        };
        TraverserOutlet.prototype.render = function (target) {
            if (this.viewInstance) {
                this.viewInstance.destroy();
            }
            if (target.component) {
                var componentFactory = this.traverser.getComponent(target.component);
                this.viewInstance = this.container.createComponent(componentFactory);
            }
            if (!this.cdr.destroyed) {
                this.cdr.detectChanges();
            }
        };
        return TraverserOutlet;
    }());
    TraverserOutlet.decorators = [
        { type: i0.Directive, args: [{
                    selector: 'traverser-outlet',
                },] }
    ];
    TraverserOutlet.ctorParameters = function () { return [
        { type: Traverser },
        { type: i1.Location },
        { type: i0.ViewContainerRef },
        { type: i0.ChangeDetectorRef }
    ]; };

    var TraverserButton = /** @class */ (function () {
        function TraverserButton(traverser) {
            this.traverser = traverser;
        }
        TraverserButton.prototype.onClick = function (event) {
            event.preventDefault();
            if (!!this.traverseTo) {
                this.traverser.traverse(this.traverseTo);
            }
        };
        return TraverserButton;
    }());
    TraverserButton.decorators = [
        { type: i0.Directive, args: [{
                    selector: ':not(a)[traverseTo]',
                },] }
    ];
    TraverserButton.ctorParameters = function () { return [
        { type: Traverser }
    ]; };
    TraverserButton.propDecorators = {
        traverseTo: [{ type: i0.Input }],
        onClick: [{ type: i0.HostListener, args: ['click', ['$event'],] }]
    };
    var TraverserLink = /** @class */ (function (_super) {
        __extends(TraverserLink, _super);
        function TraverserLink(privateTraverser, normalizer) {
            var _this = _super.call(this, privateTraverser) || this;
            _this.privateTraverser = privateTraverser;
            _this.normalizer = normalizer;
            return _this;
        }
        TraverserLink.prototype.ngOnInit = function () {
            if (!!this.traverseTo) {
                this.href =
                    this.privateTraverser.getPrefix() +
                        this.normalizer.normalize(this.privateTraverser.getFullPath(this.traverseTo));
            }
        };
        return TraverserLink;
    }(TraverserButton));
    TraverserLink.decorators = [
        { type: i0.Directive, args: [{
                    selector: 'a[traverseTo]',
                },] }
    ];
    TraverserLink.ctorParameters = function () { return [
        { type: Traverser },
        { type: Normalizer }
    ]; };
    TraverserLink.propDecorators = {
        href: [{ type: i0.HostBinding }]
    };

    var TraverserTile = /** @class */ (function () {
        function TraverserTile(traverser, container, cdr) {
            this.traverser = traverser;
            this.container = container;
            this.cdr = cdr;
            this.noUpdateOnTraverse = false;
            this.terminator = new rxjs.Subject();
        }
        TraverserTile.prototype.ngOnInit = function () {
            var _this = this;
            if (!!this.name) {
                if (!this.noUpdateOnTraverse) {
                    this.traverser.target
                        .pipe(operators.takeUntil(this.terminator), operators.skip(1))
                        .subscribe(function (target) { return _this.traverser.loadTile(_this.name, target.contextPath); });
                }
                var tileContext = this.traverser.tilesContexts[this.name];
                if (!!tileContext) {
                    tileContext.pipe(operators.takeUntil(this.terminator)).subscribe(function (target) { return _this.render(target); });
                }
            }
        };
        TraverserTile.prototype.ngOnDestroy = function () {
            if (this.viewInstance) {
                this.viewInstance.destroy();
            }
            this.terminator.next();
        };
        TraverserTile.prototype.render = function (target) {
            if (this.viewInstance) {
                this.viewInstance.destroy();
            }
            if (target.component) {
                var componentFactory = this.traverser.getComponent(target.component);
                this.viewInstance = this.container.createComponent(componentFactory);
            }
            if (!this.cdr.destroyed) {
                this.cdr.detectChanges();
            }
        };
        return TraverserTile;
    }());
    TraverserTile.decorators = [
        { type: i0.Directive, args: [{
                    selector: 'traverser-tile',
                },] }
    ];
    TraverserTile.ctorParameters = function () { return [
        { type: Traverser },
        { type: i0.ViewContainerRef },
        { type: i0.ChangeDetectorRef }
    ]; };
    TraverserTile.propDecorators = {
        name: [{ type: i0.Input }],
        noUpdateOnTraverse: [{ type: i0.Input }]
    };

    var TraversalModule = /** @class */ (function () {
        function TraversalModule() {
        }
        return TraversalModule;
    }());
    TraversalModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [TraverserOutlet, TraverserButton, TraverserLink, TraverserTile],
                    imports: [http.HttpClientModule],
                    exports: [TraverserOutlet, TraverserButton, TraverserLink, TraverserTile],
                    providers: [i1.Location, { provide: i1.LocationStrategy, useClass: i1.PathLocationStrategy }],
                },] }
    ];

    // the actual value will be provided by the module
    var BACKEND_BASE_URL = new i0.InjectionToken('backend.base.url');
    var BasicHttpResolver = /** @class */ (function (_super) {
        __extends(BasicHttpResolver, _super);
        function BasicHttpResolver(http, backend) {
            var _this = _super.call(this) || this;
            _this.http = http;
            _this.backend = backend;
            return _this;
        }
        BasicHttpResolver.prototype.resolve = function (path, view, queryString) {
            var headers = new http.HttpHeaders()
                .append('Accept', 'application/json')
                .append('Content-Type', 'application/json');
            return this.http.get(this.backend + path, { headers: headers });
        };
        return BasicHttpResolver;
    }(Resolver));
    BasicHttpResolver.decorators = [
        { type: i0.Injectable }
    ];
    BasicHttpResolver.ctorParameters = function () { return [
        { type: http.HttpClient },
        { type: String, decorators: [{ type: i0.Inject, args: [BACKEND_BASE_URL,] }] }
    ]; };

    /*
     * Public API Surface of traversal
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.BACKEND_BASE_URL = BACKEND_BASE_URL;
    exports.BasicHttpResolver = BasicHttpResolver;
    exports.Marker = Marker;
    exports.NAVIGATION_PREFIX = NAVIGATION_PREFIX;
    exports.Normalizer = Normalizer;
    exports.Resolver = Resolver;
    exports.TraversalModule = TraversalModule;
    exports.Traverser = Traverser;
    exports.TraverserButton = TraverserButton;
    exports.TraverserLink = TraverserLink;
    exports.TraverserOutlet = TraverserOutlet;
    exports.TraverserTile = TraverserTile;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-traversal.umd.js.map
