import { OnInit, OnDestroy, ViewContainerRef, ChangeDetectorRef } from '@angular/core';
import { Traverser } from './traverser';
import { Target } from './interfaces';
export declare class TraverserTile implements OnInit, OnDestroy {
    private traverser;
    private container;
    private cdr;
    name?: string;
    noUpdateOnTraverse: boolean;
    private viewInstance;
    private terminator;
    constructor(traverser: Traverser, container: ViewContainerRef, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    render(target: Target): void;
}
