import { OnInit, OnDestroy, ViewContainerRef, ChangeDetectorRef } from '@angular/core';
import { Location } from '@angular/common';
import { Traverser } from './traverser';
import { Target } from './interfaces';
export declare class TraverserOutlet implements OnInit, OnDestroy {
    private traverser;
    private location;
    private container;
    private cdr;
    private viewInstance;
    private terminator;
    constructor(traverser: Traverser, location: Location, container: ViewContainerRef, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    render(target: Target): void;
}
